<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="fc80f342-9631-460f-8190-4e3d91643363" name="Default Changelist" comment="Spring Reactive integrado.">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/elastic_kibana/docker-elk" beforeDir="false" afterPath="$PROJECT_DIR$/elastic_kibana/docker-elk" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/elastic_kibana/springboot-elk-filebeat-example" beforeDir="false" afterPath="$PROJECT_DIR$/elastic_kibana/springboot-elk-filebeat-example" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/forth/src/main/java/com/eureka/forth/controllers/AsyncController.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/forth/src/main/java/com/eureka/forth/filters/AsyncFilter.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/webflux/.gitignore" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/webflux/.mvn/wrapper/MavenWrapperDownloader.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/webflux/.mvn/wrapper/maven-wrapper.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/webflux/.mvn/wrapper/maven-wrapper.properties" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/webflux/mvnw" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/webflux/mvnw.cmd" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/webflux/pom.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/webflux/src/main/java/com/eureka/webflux/WebfluxApplication.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/webflux/src/main/java/com/eureka/webflux/controllers/WebFluxController.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/webflux/src/main/java/com/eureka/webflux/filters/WebFluxFilter.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/webflux/src/main/resources/application.properties" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/webflux/src/test/java/com/eureka/webflux/WebfluxApplicationTests.java" beforeDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectId" id="1u4BOp6X8LOXz9DUZ8x9Fm0eoB5" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="ASKED_ADD_EXTERNAL_FILES" value="true" />
    <property name="ASKED_SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="jdk.selected.JAVA_MODULE" value="1.8" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.29331046" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\adrian.moral\Bosonit\FullStack-Projects\Eureka_Oauth_Feign\server" />
      <recent name="C:\Users\adrian.moral\Bosonit\FullStack-Projects\Eureka_Oauth_Feign\zuul" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.eureka.first.models" />
    </key>
  </component>
  <component name="RunAnythingCache">
    <option name="myCommands">
      <command value="mvn install" />
      <command value="mvn spring-boot:run" />
      <command value="mvn clean" />
    </option>
  </component>
  <component name="RunDashboard">
    <option name="configurationTypes">
      <set>
        <option value="Application" />
      </set>
    </option>
  </component>
  <component name="RunManager" selected="Application.Second">
    <configuration name="AdminServer" type="Application" factoryName="Application">
      <option name="ALTERNATIVE_JRE_PATH" value="11" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="true" />
      <option name="MAIN_CLASS_NAME" value="com.eureka.adminserver.AdminserverApplication" />
      <module name="adminserver" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Config" type="Application" factoryName="Application">
      <option name="ALTERNATIVE_JRE_PATH" value="11" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="true" />
      <option name="MAIN_CLASS_NAME" value="com.eureka.config.ConfigApplication" />
      <module name="config" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Feign" type="Application" factoryName="Application">
      <option name="MAIN_CLASS_NAME" value="com.eureka.feign.FeignApplication" />
      <module name="feign" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="First" type="Application" factoryName="Application">
      <option name="ALTERNATIVE_JRE_PATH" value="11" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="true" />
      <option name="MAIN_CLASS_NAME" value="com.eureka.first.FirstApplication" />
      <module name="first" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Hystrix" type="Application" factoryName="Application">
      <option name="ALTERNATIVE_JRE_PATH" value="11" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="true" />
      <option name="MAIN_CLASS_NAME" value="com.eureka.hystrix.HystrixApplication" />
      <module name="hystrix" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="RabbitMQ" type="Application" factoryName="Application">
      <option name="MAIN_CLASS_NAME" value="com.eureka.rabbitmq.RabbitmqApplication" />
      <module name="rabbitmq" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Second" type="Application" factoryName="Application">
      <option name="ALTERNATIVE_JRE_PATH" value="11" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="true" />
      <option name="MAIN_CLASS_NAME" value="com.eureka.third.SecondApplication" />
      <module name="second" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Server" type="Application" factoryName="Application">
      <option name="MAIN_CLASS_NAME" value="com.eureka.server.ServerApplication" />
      <module name="server" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Third" type="Application" factoryName="Application">
      <option name="MAIN_CLASS_NAME" value="com.eureka.third.ThirdApplication" />
      <module name="third" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Zuul" type="Application" factoryName="Application">
      <option name="ALTERNATIVE_JRE_PATH" value="1.8" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="true" />
      <option name="MAIN_CLASS_NAME" value="com.eureka.zuul.ZuulApplication" />
      <module name="zuul" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Eureka-DC" type="docker-deploy" factoryName="docker-compose.yml" server-name="Docker">
      <deployment type="docker-compose.yml">
        <settings>
          <option name="sourceFilePath" value="server/docker-compose.yml" />
        </settings>
      </deployment>
      <method v="2" />
    </configuration>
    <list>
      <item itemvalue="Application.Second" />
      <item itemvalue="Application.First" />
      <item itemvalue="Application.RabbitMQ" />
      <item itemvalue="Application.Zuul" />
      <item itemvalue="Application.Third" />
      <item itemvalue="Application.Feign" />
      <item itemvalue="Application.Server" />
      <item itemvalue="Application.AdminServer" />
      <item itemvalue="Application.Config" />
      <item itemvalue="Application.Hystrix" />
      <item itemvalue="Docker.Eureka-DC" />
    </list>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="fc80f342-9631-460f-8190-4e3d91643363" name="Default Changelist" comment="" />
      <created>1623914955474</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1623914955474</updated>
    </task>
    <task id="LOCAL-00001" summary="Zuul integrado">
      <created>1623947098738</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1623947098738</updated>
    </task>
    <task id="LOCAL-00002" summary="Hystrix Dashboard integrado">
      <created>1624011409075</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1624011409075</updated>
    </task>
    <task id="LOCAL-00003" summary="Hystrix implementado sin errores.&#10;JavaDoc Actualizado.">
      <created>1624284235545</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1624284235545</updated>
    </task>
    <task id="LOCAL-00004" summary="Hystrix implementado sin errores.&#10;JavaDoc Actualizado.">
      <created>1624285249924</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1624285249924</updated>
    </task>
    <task id="LOCAL-00005" summary="Config implementado.&#10;RabbitMQ implementado.">
      <created>1624377916763</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1624377916763</updated>
    </task>
    <task id="LOCAL-00006" summary="Config implementado.&#10;RabbitMQ implementado.">
      <created>1624378198147</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1624378198147</updated>
    </task>
    <task id="LOCAL-00007" summary="README actualizado.">
      <created>1624433283615</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1624433283615</updated>
    </task>
    <task id="LOCAL-00008" summary="Spring Reactive integrado.">
      <created>1624528229639</created>
      <option name="number" value="00008" />
      <option name="presentableId" value="LOCAL-00008" />
      <option name="project" value="LOCAL" />
      <updated>1624528229639</updated>
    </task>
    <option name="localTasksCounter" value="9" />
    <servers />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
    <option name="oldMeFiltersMigrated" value="true" />
  </component>
  <component name="VcsManagerConfiguration">
    <option name="ADD_EXTERNAL_FILES_SILENTLY" value="true" />
    <MESSAGE value="Zuul integrado" />
    <MESSAGE value="Hystrix Dashboard integrado" />
    <MESSAGE value="Hystrix implementado sin errores.&#10;JavaDoc Actualizado." />
    <MESSAGE value="Config implementado.&#10;RabbitMQ implementado." />
    <MESSAGE value="README actualizado." />
    <MESSAGE value="Spring Reactive integrado." />
    <option name="LAST_COMMIT_MESSAGE" value="Spring Reactive integrado." />
  </component>
</project>